Summary:   NSS library for MySQL
Name:      libnss-mysql
Version:   1.5
Release:    1%{?dist}
Source0:   http://prdownloads.sourceforge.net/libnss-mysql/libnss-mysql-%{version}.tar.gz
Source1:   README
Source2:   nsswitch.conf
Patch1:    libnss-mysql-multiarch.patch
Patch2:    libnss-mysql-mariadb10.2.patch
URL:       http://libnss-mysql.sourceforge.net
License:   GPLv2+

BuildRequires: mariadb-connector-c-devel, libtool, autoconf, automake
BuildRequires: make
BuildRequires: authselect, authselect-libs

%description
Store your UNIX user accounts in MySQL. "libnss-mysql" enables the following:

* System-wide authentication and name service using a MySQL database.
  Applications do not need to be MySQL-aware or modified in any way.

* Storing authentication information in a database instead of text files.

* Creation of a single authentication database for multiple servers.
  This is often referred to as the "Single Sign-on" problem.

* Writing data-modification routines (IE self-management web interface).

libnss-mysql is similar to NIS or LDAP. It provides the same centralized
authentication service through a database. What does this mean? Username,
uid, gid, password, etc comes from a MySQL database instead of
/etc/password, /etc/shadow, and /etc/group. A user configured in MySQL will
look and behave just like a user configured in /etc/passwd. Your
applications such as ls, finger, sendmail, qmail, exim, postfix, proftpd,
X, sshd, etc. will all 'see' these users!

%prep
%autosetup -p1

%build
libtoolize -f
autoreconf -f -i
%configure
%make_build
rm -rf sample/freebsd sample/solaris

%install
mkdir -p %{buildroot}/{etc,lib}
%make_install

%define authselect_vendor %{_datadir}/authselect/vendor/%{name}
mkdir -p %{buildroot}%{authselect_vendor}
if [ -d %{_datadir}/authselect/default/nis ]; then
  cp -ar %{_datadir}/authselect/default/nis/* \
    %{buildroot}%{authselect_vendor}/
else
  cp -ar %{_datadir}/authselect/default/minimal/* \
    %{buildroot}%{authselect_vendor}/
fi
cp -af %{SOURCE1} %{SOURCE2} %{buildroot}%{authselect_vendor}/


%files
%exclude %{_libdir}/libnss_mysql.la
%exclude %{_libdir}/*.so
%{_libdir}/*.so.*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/libnss-mysql.cfg
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/libnss-mysql-root.cfg
%doc README ChangeLog AUTHORS THANKS NEWS COPYING FAQ DEBUGGING UPGRADING TODO
%doc sample
%dir %{_datadir}/authselect/vendor/%{name}
%{_datadir}/authselect/vendor/%{name}/*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5-1
- initial build
